Advisory Details

May 7th, 2021

Foxit Reader U3D File Parsing Double Free Remote Code Execution Vulnerability

ZDI-21-538
ZDI-CAN-13280

CVE ID CVE-2021-31449
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Foxit
AFFECTED PRODUCTS Reader
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Foxit Reader. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the handling of U3D objects embedded in PDF files. The issue results from the lack of validating the existence of an object prior to performing further free operations on the object. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Foxit has issued an update to correct this vulnerability. More details can be found at:
https://www.foxitsoftware.com/support/security-bulletins.php
DISCLOSURE TIMELINE
  • 2021-02-25 - Vulnerability reported to vendor
  • 2021-05-07 - Coordinated public release of advisory
  • 2021-05-07 - Advisory Updated
CREDIT Mat Powell of Trend Micro Zero Day Initiative
BACK TO ADVISORIES